Bug 1705360 - netlink_tcpdiag_socket permissive=0 for ss
Summary: netlink_tcpdiag_socket permissive=0 for ss
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: psad
Version: 30
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 07:48 UTC by Kees de Jong
Modified: 2019-12-15 09:00 UTC (History)
2 users (show)

Fixed In Version: psad-2.4.6-5.fc31 psad-2.4.6-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-15 01:17:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Kees de Jong 2019-05-02 07:48:09 UTC
Description of problem:
PSAD triggers an SELinux alert.

Version-Release number of selected component (if applicable):
psad-2.4.6-3.fc30.noarch

How reproducible:
When PSAD runs in the background it triggers the alert regularly.

Additional info:
SELinux is preventing ss from create access on the netlink_tcpdiag_socket labeled psad_t.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ss should be allowed create access on netlink_tcpdiag_socket labeled psad_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'ss' --raw | audit2allow -M my-ss
# semodule -X 300 -i my-ss.pp

Additional Information:
Source Context                system_u:system_r:psad_t:s0
Target Context                system_u:system_r:psad_t:s0
Target Objects                Unknown [ netlink_tcpdiag_socket ]
Source                        ss
Source Path                   ss
Port                          <Unknown>
Host                          defiant
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-32.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     defiant
Platform                      Linux defiant 5.0.9-301.fc30.x86_64 #1 SMP Tue Apr
                              23 23:57:35 UTC 2019 x86_64 x86_64
Alert Count                   36
First Seen                    2019-05-01 22:55:41 CEST
Last Seen                     2019-05-02 09:40:29 CEST
Local ID                      78617eac-32ab-4045-b2f2-d9a6886ece0e

Raw Audit Messages
type=AVC msg=audit(1556782829.477:313): avc:  denied  { create } for  pid=12700 comm="ss" scontext=system_u:system_r:psad_t:s0 tcontext=system_u:system_r:psad_t:s0 tclass=netlink_tcpdiag_socket permissive=0


Hash: ss,psad_t,psad_t,netlink_tcpdiag_socket,create

Comment 1 Fedora Update System 2019-12-05 00:58:03 UTC
FEDORA-2019-43f271bf0d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-43f271bf0d

Comment 2 Fedora Update System 2019-12-07 02:18:05 UTC
psad-2.4.6-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aaac87ee6b

Comment 3 Fedora Update System 2019-12-07 03:38:29 UTC
psad-2.4.6-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-43f271bf0d

Comment 4 Fedora Update System 2019-12-15 01:17:30 UTC
psad-2.4.6-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2019-12-15 09:00:07 UTC
psad-2.4.6-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.